Bug 818414 - Review Request: mruby - lightweight ruby
Review Request: mruby - lightweight ruby
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 23:14 EDT by Ricky Elrod
Modified: 2013-04-02 23:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 23:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2012-05-02 23:14:28 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/mruby/mruby.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/mruby/mruby-mruby-1032e9e.tar.gz
Description: This is a lightweight implementation of Ruby created by the author of the original Ruby interpreter ("matz"). https://github.com/mruby/mruby
Comment 1 Ricky Elrod 2012-05-02 23:22:19 EDT
Well I messed that one up. :)

Correct SRPM: http://codeblock.fedorapeople.org/packages/mruby/mruby-1.0.0-1.20120502git1032e9e.fc18.src.rpm
Comment 2 Ricky Elrod 2012-05-26 01:46:00 EDT
Updating to upstream HEAD.


[ricky@t520 RPMS]$ rpmlint ./x86_64/mruby-1.0.0-1.20120526gitf6d539e.fc18.x86_64.rpm 
mruby.x86_64: W: no-manual-page-for-binary mruby
mruby.x86_64: W: no-manual-page-for-binary mrbc
mruby.x86_64: W: no-manual-page-for-binary mirb
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


[ricky@t520 rpmbuild]$ rpmlint ./SPECS/mruby.spec 
./SPECS/mruby.spec:48: E: hardcoded-library-path in %{buildroot}/usr/lib/libmruby.a
./SPECS/mruby.spec: W: invalid-url Source0: mruby-mruby-f6d539e.tar.gz
0 packages and 1 specfiles checked; 1 errors, 1 warnings.


The first one is because no matter what I try, cmake is insisting on installing a static lib into /usr/lib/, regardless of architecture. But because it's a static lib, it gets rm'd anyway.

The second is because this is pulled from Github, which has no way to easily link to tarballs of commits. Instructions are included in the specfile for obtaining the tar.gz.

New links:

Spec URL: http://codeblock.fedorapeople.org/packages/mruby/mruby.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/mruby/mruby-1.0.0-1.20120526gitf6d539e.fc18.src.rpm
Comment 3 Ricky Elrod 2013-04-02 23:41:08 EDT
I'm going to close this out for now.

I might fix up and open a new review at some point.

Note You need to log in before you can comment on or make changes to this bug.